require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", false);
SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", true);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMKauai", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMNewYork", true);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMTuscany", false);


PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");